package nc.vo.hi.cloud.train;

import com.fasterxml.jackson.annotation.JsonProperty;

import nc.vo.pub.SuperVO;

/**
 * 员工所有线上学习记录
 * @author chenzf
 * @date 2022-5-7 17:33:21
 */
public class CloudOnlineuserknowledge extends SuperVO {
	private String pk_onlineuserknowledge; 
	private String id;//主键
	private String userId;//用户id
	private String userName;//用户账号 
	private String userCname;//用户姓名 
	private String userAccount;//用户学习这个知识时的账号名
	private String cloudStatus;//学习状态：未学习NoStart；学习中Studying；已完成 Completed 
	private String lastStudyTime;//最后学习时间 
	private String sourceType;//自学SingleStudy;指派DistributePlan；岗位PostStudy
	private String knowledgeId;//知识id（如果是考试fileType=OteExam，则为对应的考试安排id） 
	private String knowledgeTitle;//知识名称 
	private String createDate;//创建时间 
	private String actualStudyFinishDate;//实际完成时间 
	private String deptName;//部门名称 
	private String deptNo;//用户所在部门，部门编号 
	private String userNo;//用户工号 
	private String actualStudyHours;//实际学习时长（分钟） 
	private String standardStudyHours;//标准学习时长（分钟） 
	private String standardStudyScore;//标准学分
	private String actualObtainedScore;//实际学分 
	private String thirdMasterId;//第三方id，如果是单个知识或课程包，则为空;或者是对应的用户学习计划id；如果是课程包内明细，则为所在课程包的学习记录主键 
	private String fileType;//文件类型程序定义枚举(Article、PPT、Word、Video、SourceCode、PDF、Excel、CoursePackage、XuanYes、Image、EBookCourse、OteExam)OteExam为考试，CoursePackage为课程包 
	private String knowledgeType;//知识类型ArticleKnowledge、DocumentKnowledge、VideoKnowledge、SourceCodeKnowledge、QuestionKnowledge、CourseKnowledge、XuanYes 
	private String knowledgeUrl;//知识相对地址 
	private String examScore;//考试分数 
	private String spare1;//备用字段1 
	private String isExam;//是否为考试（true为考试；false非考试）
	private String isPackageDetail;//是否为课程包明细（true为课程包内知识明细；false为单个知识或课程包） 
	private String studySchedule;//学习进度
	private String userStatus;//账号状态 0：禁用 1：启用 
	
	public String getPk_onlineuserknowledge() {
		return pk_onlineuserknowledge;
	}
	public void setPk_onlineuserknowledge(String pk_onlineuserknowledge) {
		this.pk_onlineuserknowledge = pk_onlineuserknowledge;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getUserCname() {
		return userCname;
	}
	public void setUserCname(String userCname) {
		this.userCname = userCname;
	}
	public String getUserAccount() {
		return userAccount;
	}
	public void setUserAccount(String userAccount) {
		this.userAccount = userAccount;
	}
	public String getCloudStatus() {
		return cloudStatus;
	}
	public void setCloudStatus(String cloudStatus) {
		this.cloudStatus = cloudStatus;
	}
	public String getLastStudyTime() {
		return lastStudyTime;
	}
	public void setLastStudyTime(String lastStudyTime) {
		this.lastStudyTime = lastStudyTime;
	}
	public String getSourceType() {
		return sourceType;
	}
	public void setSourceType(String sourceType) {
		this.sourceType = sourceType;
	}
	public String getKnowledgeId() {
		return knowledgeId;
	}
	public void setKnowledgeId(String knowledgeId) {
		this.knowledgeId = knowledgeId;
	}
	public String getKnowledgeTitle() {
		return knowledgeTitle;
	}
	public void setKnowledgeTitle(String knowledgeTitle) {
		this.knowledgeTitle = knowledgeTitle;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public String getActualStudyFinishDate() {
		return actualStudyFinishDate;
	}
	public void setActualStudyFinishDate(String actualStudyFinishDate) {
		this.actualStudyFinishDate = actualStudyFinishDate;
	}
	public String getDeptName() {
		return deptName;
	}
	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}
	public String getDeptNo() {
		return deptNo;
	}
	public void setDeptNo(String deptNo) {
		this.deptNo = deptNo;
	}
	public String getUserNo() {
		return userNo;
	}
	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}
	public String getActualStudyHours() {
		return actualStudyHours;
	}
	public void setActualStudyHours(String actualStudyHours) {
		this.actualStudyHours = actualStudyHours;
	}
	public String getStandardStudyHours() {
		return standardStudyHours;
	}
	public void setStandardStudyHours(String standardStudyHours) {
		this.standardStudyHours = standardStudyHours;
	}
	public String getStandardStudyScore() {
		return standardStudyScore;
	}
	public void setStandardStudyScore(String standardStudyScore) {
		this.standardStudyScore = standardStudyScore;
	}
	public String getActualObtainedScore() {
		return actualObtainedScore;
	}
	public void setActualObtainedScore(String actualObtainedScore) {
		this.actualObtainedScore = actualObtainedScore;
	}
	public String getThirdMasterId() {
		return thirdMasterId;
	}
	public void setThirdMasterId(String thirdMasterId) {
		this.thirdMasterId = thirdMasterId;
	}
	public String getFileType() {
		return fileType;
	}
	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
	public String getKnowledgeType() {
		return knowledgeType;
	}
	public void setKnowledgeType(String knowledgeType) {
		this.knowledgeType = knowledgeType;
	}
	public String getKnowledgeUrl() {
		return knowledgeUrl;
	}
	public void setKnowledgeUrl(String knowledgeUrl) {
		this.knowledgeUrl = knowledgeUrl;
	}
	public String getExamScore() {
		return examScore;
	}
	public void setExamScore(String examScore) {
		this.examScore = examScore;
	}
	public String getSpare1() {
		return spare1;
	}
	public void setSpare1(String spare1) {
		this.spare1 = spare1;
	}
	public String getIsExam() {
		return isExam;
	}
	public void setIsExam(String isExam) {
		this.isExam = isExam;
	}
	public String getIsPackageDetail() {
		return isPackageDetail;
	}
	public void setIsPackageDetail(String isPackageDetail) {
		this.isPackageDetail = isPackageDetail;
	}
	public String getStudySchedule() {
		return studySchedule;
	}
	public void setStudySchedule(String studySchedule) {
		this.studySchedule = studySchedule;
	}
	public String getUserStatus() {
		return userStatus;
	}
	public void setUserStatus(String userStatus) {
		this.userStatus = userStatus;
	}
	public String getParentPKFieldName() {
		return null;
	}
	public String getPKFieldName() {
		return "pk_onlineuserknowledge";
	}

	public String getTableName() {
		return "cloud_onlineuserknowledge";
	}
}
